/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLAreaElement_H___INT_
#define __GdomHTMLAreaElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLAreaElement.h"
G_BEGIN_DECLS
class GDOMHTMLAreaElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_AREA_ELEMENT; }
    GDOMHTMLAreaElement(PassRefPtr<WebCore::HTMLAreaElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLAreaElement_H___INT_*/
